# $Revision: 1.97 $, $Date: 2011/11/07 19:29:03 $
#
# Conditional build:
%bcond_without	tests		# build without tests

# TODO
# - PLDize (or drop) /etc/yum/version-groups.conf
# - decide about cron:
#   /etc/cron.daily/0yum.cron
#   /etc/rc.d/init.d/yum-cron
#   /etc/sysconfig/yum-cron
#   /etc/yum/yum-daily.yum
#   /etc/yum/yum-weekly.yum
Summary:	RPM installer/updater
Summary(pl.UTF-8):	Narzędzie do instalowania/uaktualniania pakietów RPM
Name:		yum
Version:	3.4.3
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://yum.baseurl.org/download/3.4/%{name}-%{version}.tar.gz
# Source0-md5:	7c8ea8beba5b4e7fe0c215e4ebaa26ed
Source1:	%{name}-pld-source.repo
Source2:	%{name}-pld-ti-source.repo
Patch1:		%{name}-obsoletes.patch
# from util-vserver-*/contrib/
#Patch2:		%{name}-chroot.patch # disabled for now. broken or not needed
Patch3:		%{name}-pld.patch
Patch4:		%{name}-amd64.patch
Patch5:		%{name}-config.patch
# fc
Patch10:	installonlyn-enable.patch
Patch11:	%{name}-mirror-priority.patch
Patch12:	%{name}-manpage-files.patch
Patch13:	%{name}-multilib-policy-best.patch
Patch14:	no-more-exactarchlist.patch
URL:		http://yum.baseurl.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
%if %{with tests}
BuildRequires:	python-nose
BuildRequires:	yum-metadata-parser
%if %(locale -a | grep -qFx en_US.utf8; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%endif
Requires:	python >= 1:2.5
Requires:	python-iniparse
Requires:	python-libxml2
Requires:	python-pygpgme
Requires:	python-rpm
Requires:	python-sqlite
Requires:	python-urlgrabber >= 1:3.9.1
Requires:	rpm >= 4.4.2
Requires:	yum-metadata-parser >= 1.1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/lib

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically prompting the user as necessary.

%description -l pl.UTF-8
Yum to narzędzie sprawdzające i automatycznie ściągające i instalujące
uaktualnione pakiety RPM. Zależności są ściągane automatycznie po
zapytaniu użytkownika w razie potrzeby.

%prep
%setup -q
# fc
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
# pld
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make}

%if %{with tests}
# yum itself must work (tests does not cover import errors)
# we ignore exit code, as it will exit with error if yum is not installed:
# $ ./yummain.py --version
#3.4.3
#CRITICAL:yum.cli:Config Error: Error accessing file for config file:///etc/yum.conf
# and it will fail other ways if incompatible yum version is installed

ver=$(./yummain.py --version | head -n1)
test $ver = %{version}

# test/check-po-yes-no.py prints chinese to screen, need to enable utf8
export LC_ALL=en_US.utf8
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/yum/pluginconf.d,%{_libdir}/yum-plugins,%{_datadir}/yum-plugins}

%{__make} install \
	PYLIBDIR=%{py_scriptdir} \
	DESTDIR=$RPM_BUILD_ROOT

# for now, move repodir/yum.conf back
mv $RPM_BUILD_ROOT%{_sysconfdir}/{yum/repos.d,/yum.repos.d}
mv $RPM_BUILD_ROOT%{_sysconfdir}/{yum/yum.conf,yum.conf}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/pld.repo

install -d $RPM_BUILD_ROOT/var/lib/yum/{history,plugins,yumdb}
# see yum.conf(5)
touch $RPM_BUILD_ROOT/var/lib/yum/uuid

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir} $RPM_BUILD_ROOT%{_datadir}/yum-cli
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir} $RPM_BUILD_ROOT%{_datadir}/yum-cli

%py_postclean %{_datadir}/yum-cli

mv $RPM_BUILD_ROOT%{_datadir}/locale/lt{_LT,}
# duplicate with id
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/id_ID

%find_lang %{name}

# in yum-updatesd.spec
%{__rm} $RPM_BUILD_ROOT/etc/dbus-1/system.d/yum-updatesd.conf
%{__rm} $RPM_BUILD_ROOT/etc/rc.d/init.d/yum-updatesd
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/yum/yum-updatesd.conf
%{__rm} $RPM_BUILD_ROOT%{_sbindir}/yum-updatesd
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man5/yum-updatesd.conf.5*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/yum-updatesd.8*

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# migrate to new dir. having two dirs is really confusing
if [ -d %{_sysconfdir}/yum/repos.d ]; then
	echo >&2 "Migrating %{_sysconfdir}/yum/repos.d to %{_sysconfdir}/yum.repos.d"
	mkdir -p %{_sysconfdir}/yum.repos.d
	for a in %{_sysconfdir}/yum/repos.d/*; do
		if [ -f "$a" ]; then
			mv -vf $a %{_sysconfdir}/yum.repos.d/${a##*/}
		fi
	done
	rm -rf %{_sysconfdir}/yum/repos.d
fi

%triggerpostun -- %{name} < 3.2.12-3
if [ -f %{_sysconfdir}/yum/repos.d/pld-source.repo.rpmsave ]; then
	cp -f %{_sysconfdir}/yum/repos.d/pld.repo{,.rpmnew}
	mv -f %{_sysconfdir}/yum/repos.d/{pld-source.repo.rpmsave,pld.repo}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS TODO INSTALL ChangeLog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}

# main yum config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum.conf

%dir %{_sysconfdir}/yum
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum/version-groups.conf

%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum.repos.d/*.repo

%dir %{_sysconfdir}/yum/pluginconf.d
%dir %{_sysconfdir}/yum/protected.d
%dir %{_sysconfdir}/yum/vars

%attr(755,root,root) %{_bindir}/yum

%dir %{py_sitescriptdir}/yum
%dir %{_datadir}/yum-cli
%{_datadir}/yum-cli/*.py[co]

%{py_sitescriptdir}/yum/*.py[co]
%dir %{py_sitescriptdir}/rpmUtils
%{py_sitescriptdir}/rpmUtils/*.py[co]

%dir %{_libdir}/yum-plugins
%dir %{_datadir}/yum-plugins

%{_mandir}/man5/yum.conf.5*
%{_mandir}/man8/yum-shell.8*
%{_mandir}/man8/yum.8*

%dir /var/cache/yum

%dir /var/lib/yum
%dir /var/lib/yum/history
%dir /var/lib/yum/plugins
%dir /var/lib/yum/yumdb
%ghost /var/lib/yum/uuid

# bash-completion subpackage
/etc/bash_completion.d/yum.bash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yum.spec,v $
Revision 1.97  2011/11/07 19:29:03  glen
- really fix locales (id_ID is duplicate)

Revision 1.96  2011/11/07 19:27:46  glen
- fixup locales, cosmetics

Revision 1.95  2011/11/07 19:25:16  glen
- tests require sqlitecachec

Revision 1.94  2011/11/07 18:34:58  glen
- up to 3.4.3; chroot patch disabled for now

Revision 1.93  2011/03/22 07:14:31  glen
- more new paths

Revision 1.92  2011/03/22 06:57:46  glen
- new files, dirs from 3.2.28

Revision 1.91  2011/03/22 06:40:11  glen
- extra check to detect current error which tests do not catch

Revision 1.90  2011/03/22 06:22:00  glen
- need unicode locale while testing

Revision 1.89  2011/03/22 06:19:03  glen
- run testing

Revision 1.88  2011/03/22 05:41:03  glen
- not usable, rel down to 0.1

Revision 1.87  2010/10/22 20:55:59  caleb
- Finished updating patches to 3.2.28, release 1

Revision 1.86  2010/10/22 20:27:09  caleb
- Up to 3.2.28, NFY
- Removed patch applied upstream

Revision 1.85  2010/07/08 08:50:05  arekm
- release 5

Revision 1.84  2010/03/30 09:15:34  hawk
- release 4

Revision 1.83  2010/02/03 21:57:43  glen
- release 3

Revision 1.82  2010/02/03 02:10:29  glen
- yum-metadata-parser 1.1.4 to fix utf8 sqlite problems from google repo

Revision 1.81  2010/02/03 00:29:56  glen
- add fc patches, depends on urlgrabber 3.9

Revision 1.80  2010/02/02 23:40:37  glen
- yum-updatesd has moved to the separate source version
- /etc/yum/repos.d -> /etc/yum.repos.d change to match fedora
- package is noarch now

Revision 1.79  2010/01/30 17:49:16  glen
- package also /etc/yum.repos.d/ for repos config (google searches it)

Revision 1.78  2009/11/18 12:17:14  glen
- updated to 3.2.25, corrected runtime arch detection for th

Revision 1.77  2009/08/05 23:33:38  hawk
- revert small upstream breakage, they assume some symbols are in each and
  every version of rpm which seems not true for our rpm.spec:rpm-4_5

Revision 1.76  2009/08/05 22:43:37  hawk
- release 2

Revision 1.75  2009/05/28 08:36:34  amateja
- updated to 3.2.23

Revision 1.74  2009/05/08 09:28:21  amateja
- updated to 3.2.22

Revision 1.73  2009/03/19 12:31:29  hawk
- doh, release 2

Revision 1.72  2009/03/19 12:30:56  hawk
- put fixed arch value into repo config for Titanium at build time
  (same way as in poldek.spec), Th left unchanged

Revision 1.71  2009/03/19 11:39:18  hawk
- repo config for Titanium

Revision 1.70  2009/01/17 20:58:04  patrys
- 3.2.21

Revision 1.69  2008/11/10 23:21:05  glen
- release 3

Revision 1.68  2008/11/10 19:40:29  glen
- up to 3.2.20, new urls

Revision 1.67  2008/10/03 18:06:37  arekm
- release 2

Revision 1.66  2008/09/01 00:17:02  patrys
- 3.2.19

Revision 1.65  2008/08/28 07:06:45  arekm
- rel 2; iniparse is needed

Revision 1.64  2008/07/29 12:09:49  arekm
- revert py inclusion

Revision 1.63  2008/07/29 11:50:12  arekm
- up to 3.2.17

Revision 1.62  2008-06-09 13:23:19  paszczus
- added BR: intltool

Revision 1.61  2008-05-28 08:34:20  arekm
- up to 3.2.16

Revision 1.60  2008-04-25 23:01:06  glen
- release 4

Revision 1.59  2008-04-02 21:18:39  glen
- rename pld-source.repo to pld.repo; rel 3

Revision 1.58  2008-03-10 22:04:57  arekm
- rel 2; update chroot patch from util-vserver package

Revision 1.57  2008-03-10 21:53:33  arekm
- up to 3.2.12

Revision 1.56  2008-02-12 12:43:44  patrys
- yum 3.2.11 is broken, don't build it

Revision 1.55  2008-02-12 12:06:27  patrys
- should require pygpgme

Revision 1.54  2008-02-12 11:56:58  patrys
- require pyme

Revision 1.53  2008-02-12 11:49:26  patrys
- 3.2.11
- missingok less intrusive, just installs all optional deps

Revision 1.52  2008-01-09 18:29:57  glen
- missingok patch updated by patrys; rel 4

Revision 1.51  2007-12-26 16:32:22  glen
- rel 3

Revision 1.50  2007-12-17 17:20:35  glen
- add service config for yum-updatesd

Revision 1.49  2007-12-17 16:59:48  qboosh
- pl for -updatesd

Revision 1.48  2007-12-17 09:12:13  glen
- migrate yum.repos.d to yum/repos.d

Revision 1.47  2007-12-17 08:42:53  glen
- AC-branch merge:
  - more deps for yum-updatesd, separate package for yum-updatesd
  - yum-metadata-parser dep on base pkg
  - python-sqlite1 is yum-metadata-parser dep

Revision 1.46  2007-12-17 08:19:20  glen
- install pldized initscript

Revision 1.45  2007-12-17 08:10:49  glen
- 3.2.8

Revision 1.44  2007-12-17 08:09:51  glen
- amd64 is ac specific patch

Revision 1.43  2007-12-17 08:06:09  glen
- patches

Revision 1.42  2007-12-17 08:05:24  glen
- merge 3.2.6 from AC-branch

Revision 1.41  2007-12-17 07:47:48  glen
- AC-branch merge (configs became rpmnew)

Revision 1.40  2007-07-30 15:59:46  patrys
- 3.2.2

Revision 1.39  2007/06/05 15:26:22  czarny
- ignore obsoletes patch; for now

Revision 1.38  2007/05/31 15:21:26  qboosh
- python epoch

Revision 1.37  2007/05/31 08:38:08  adamg
- not a noarch package (libdir)

Revision 1.36  2007/05/31 08:24:34  glen
- python 2.5 contains python-celementtree already

Revision 1.35  2007/05/31 06:36:05  glen
- R: python-cElementTree

Revision 1.34  2007/05/31 06:24:47  glen
- rel 2

Revision 1.33  2007/05/30 10:27:15  patrys
- add PLD repo config

Revision 1.32  2007/05/28 13:43:53  czarny
- %{_datadir}/yum-plugins for noarch plugins
- R: python-sqlite1 for repos created with createrepo

Revision 1.31  2007/05/27 18:40:06  qboosh
- removed COPYING from doc (just GPL)

Revision 1.30  2007/05/26 19:18:03  patrys
- understand MISSINGOK rpm flag
- together with patched createrepo allows us to use Suggests and Enhances

Revision 1.29  2007/05/24 09:03:04  patrys
- more dirs needed

Revision 1.28  2007/05/23 12:07:09  patrys
- 3.2.0

Revision 1.27  2007/05/23 11:48:33  patrys
- make it work with python 2.5

Revision 1.26  2007/05/23 11:34:37  patrys
- fixed R and rel

Revision 1.25  2007/05/23 11:26:55  patrys
- 3.0.1

Revision 1.24  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.22  2007/01/31 17:53:28  glen
- add add /etc/yum.repos.d as %dir; rel 2

Revision 1.21  2006/10/03 22:31:32  aredridel
- add /etc/yum as %dir

Revision 1.20  2006/05/18 18:10:07  glen
- rel 1

Revision 1.19  2006/05/16 19:17:05  glen
- 2.6.1

Revision 1.18  2006/03/04 19:21:20  glen
- require python-cElementTree with fixed deps instead

Revision 1.17  2006/03/04 04:32:51  aredridel
- depend on python-elementtree, not python-cElementTree

Revision 1.16  2005/10/22 22:42:42  glen
- updated to 2.4.0

Revision 1.15  2005/10/22 21:34:40  glen
- cron.daily contains scripts

Revision 1.14  2005/10/22 21:28:40  glen
- %py_postclean to kill .py sources

Revision 1.13  2005/10/22 21:25:29  glen
- add %service restart, fix chkconfig dep

Revision 1.12  2005/10/22 21:24:04  glen
- adapterized

Revision 1.11  2005/10/22 21:23:04  glen
- add md5, drop old changelog

Revision 1.10  2005/07/07 05:11:10  aredridel
- add chroot patch

Revision 1.9  2005/07/06 21:36:31  aredridel
- actually make that work

Revision 1.8  2005/07/06 21:29:11  aredridel
- install in py_sitescriptdir, fix amd64

Revision 1.7  2005/07/06 20:45:11  aredridel
- up to 2.2.2

Revision 1.6  2004/09/29 16:35:15  kolodko
- added macros in /etc/logrotate.d

Revision 1.5  2004/09/10 21:36:50  dzeus
- updated to 2.0.8

Revision 1.4  2004/07/07 08:26:50  aredridel
- br: gettext-devel
- fix location of init script

Revision 1.3  2004/06/27 12:11:16  qboosh
- pl, some cleanups

Revision 1.2  2004/06/26 22:59:44  aredridel
- added Requires: python-rpm

Revision 1.1  2004/06/26 21:18:05  aredridel
- added
